package im.zhaojun.system.model;


import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author wjj
 * @since 2021-04-29
 */
public class TraffpictureParam extends Traffpicture {

    private static final long serialVersionUID=1L;


    private Long recordid;
    private String fdid;
    private  Integer  channelid;
    private Long areaid;
    private String recordtype;
    @JsonIgnore
    private Integer retrycount;
    private Integer recordlevel;
    private Integer checkstatus;
    private String creator;
    private Date recordtime;
    private String updator;
    private Date updatetime;
    @JsonIgnore
    private String remark;
    @JsonIgnore
    private Integer pushstatus;
    @JsonIgnore
    private String pushdesc;
    @JsonIgnore
    private Integer pushcount;
    @JsonIgnore
    private Date pushdate;
    private String processstatus;
    @JsonIgnore
    private Integer manualstatus;
    private  String  imagedata;
    private Integer  alarmnum;

    public Integer getAlarmnum() {
        return alarmnum;
    }

    public void setAlarmnum(Integer alarmnum) {
        this.alarmnum = alarmnum;
    }

    private Integer objx;
    private Integer objy;
    private Integer objw;
    private Integer objh;
    private String  tdmc;
    private String  xzmc;
    private  String  metatype;

    public String getTdmc() {
        return tdmc;
    }

    public void setTdmc(String tdmc) {
        this.tdmc = tdmc;
    }

    public String getXzmc() {
        return xzmc;
    }

    public void setXzmc(String xzmc) {
        this.xzmc = xzmc;
    }

    private  String  recordname;

    public String getRecordname() {
        return recordname;
    }

    public void setRecordname(String recordname) {
        this.recordname = recordname;
    }

    public Integer getObjx() {
        return objx;
    }

    public void setObjx(Integer objx) {
        this.objx = objx;
    }

    public Integer getObjy() {
        return objy;
    }

    public void setObjy(Integer objy) {
        this.objy = objy;
    }

    public Integer getObjw() {
        return objw;
    }

    public void setObjw(Integer objw) {
        this.objw = objw;
    }

    public Integer getObjh() {
        return objh;
    }

    public void setObjh(Integer objh) {
        this.objh = objh;
    }

    public String getImagedata() {
        return imagedata;
    }

    public void setImagedata(String imagedata) {
        this.imagedata = imagedata;
    }

    public Long getRecordid() {
        return recordid;
    }

    public void setRecordid(Long recordid) {
        this.recordid = recordid;
    }

    public String getFdid() {
        return fdid;
    }

    public void setFdid(String fdid) {
        this.fdid = fdid;
    }

    public Integer getRetrycount() {
        return retrycount;
    }

    public void setRetrycount(Integer retrycount) {
        this.retrycount = retrycount;
    }

    public Integer getRecordlevel() {
        return recordlevel;
    }

    public void setRecordlevel(Integer recordlevel) {
        this.recordlevel = recordlevel;
    }

    public Integer getCheckstatus() {
        return checkstatus;
    }

    public void setCheckstatus(Integer checkstatus) {
        this.checkstatus = checkstatus;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getRecordtime() {
        return recordtime;
    }

    public void setRecordtime(Date recordtime) {
        this.recordtime = recordtime;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getPushstatus() {
        return pushstatus;
    }

    public void setPushstatus(Integer pushstatus) {
        this.pushstatus = pushstatus;
    }

    public String getPushdesc() {
        return pushdesc;
    }

    public void setPushdesc(String pushdesc) {
        this.pushdesc = pushdesc;
    }

    public Integer getPushcount() {
        return pushcount;
    }

    public void setPushcount(Integer pushcount) {
        this.pushcount = pushcount;
    }

    public Date getPushdate() {
        return pushdate;
    }

    public void setPushdate(Date pushdate) {
        this.pushdate = pushdate;
    }

    public String getProcessstatus() {
        return processstatus;
    }

    public void setProcessstatus(String processstatus) {
        this.processstatus = processstatus;
    }

    public Integer getManualstatus() {
        return manualstatus;
    }

    public void setManualstatus(Integer manualstatus) {
        this.manualstatus = manualstatus;
    }

    public Integer getChannelid() {
        return channelid;
    }

    public void setChannelid(Integer channelid) {
        this.channelid = channelid;
    }

    public Long getAreaid() {
        return areaid;
    }

    public void setAreaid(Long areaid) {
        this.areaid = areaid;
    }

    public String getRecordtype() {
        return recordtype;
    }

    public void setRecordtype(String recordtype) {
        this.recordtype = recordtype;
    }

    public String getMetatype() {
        return metatype;
    }

    public void setMetatype(String metatype) {
        this.metatype = metatype;
    }
}
